%define debug_package	%{nil}

%define oname	elisa-plugins-ugly

%define rel	1

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%oname
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%oname-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%oname-%version
%endif
%endif

Summary:	'Ugly' plugins for the Moovida media center
Name:		moovida-plugins-ugly
Version:	1.0.9
Release:	%{release}
Source0:	http://www.moovida.com/media/public/%{distname}
License:	GPLv3 and MIT
Group:		Development/Python
URL:		http://www.moovida.com
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	moovida-core >= %{version}
Requires:	moovida-plugins-good >= %{version}
Suggests:	twill
# For LIRC input support
Suggests:	python-lirc
Provides:	elisa-plugins-ugly = %{version}-%{release}
Obsoletes:	elisa-plugins-ugly < %{version}-%{release}

%description
Moovida is a project to create an open source cross platform media center 
solution. This package contains 'ugly' plugins for Moovida.

%prep
%setup -q -n %{dirname}

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2
# already in -good
rm -f %{buildroot}%{py_puresitedir}/elisa/plugins/__init__*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugin_*-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugin_*-py%{pyver}-nspkg.pth




%changelog
* Sun Mar 06 2011 ennael <ennael> 1.0.9-1.mga1
+ Revision: 65368
- imported package moovida-plugins-ugly


* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.9-1mdv2010.1
+ Revision: 482875
- update to new version 1.0.9

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.8-1mdv2010.1
+ Revision: 462290
- Update to new version 1.0.8
- Remove lirc input patch: fixed in a different way upstream

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 443283
- update to new version 1.0.7

* Wed Sep 02 2009 Adam Williamson <awilliamson@mandriva.org> 1.0.6-2mdv2010.0
+ Revision: 425560
- update with a newer version of the lirc repeat patch

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.6-1mdv2010.0
+ Revision: 417445
- update to new version 1.0.6

* Sun Jul 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.5-1mdv2010.0
+ Revision: 397230
- update to new version 1.0.5

* Wed Jun 10 2009 Adam Williamson <awilliamson@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 384662
- new release 1.0.2

* Fri May 29 2009 Adam Williamson <awilliamson@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 380773
- import moovida-plugins-ugly


